Summary: "vpb2" - a user mode API for voicetronix telephony hardware
Name: vpb2
Version: 2.0.3
Release: 1
Group: Communication
Source: ftp://www.voxilla.org/pub/vpb/vpb2-%{PACKAGE_VERSION}.tar.gz
Prefix: /usr
Copyright: GPL
BuildRoot: %{_tmppath}/vpb2-root
Packager: David Sugar <dyfet@ostel.com>

%description
This library is the newly unified user mode API for the Voicetronix
4 port analog DSP telephony cards.  This new API is entirely user mode
and will build under both GNU/Linux and FreeBSD.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}

%build
uname -a|grep SMP && make -j 2 || make

%install
mkdir -p $RPM_BUILD_ROOT/etc
make etc_prefix=$RPM_BUILD_ROOT prefix=$RPM_BUILD_ROOT/%{prefix} install
strip $RPM_BUILD_ROOT/%{prefix}/lib/libvpb2.so.*
strip $RPM_BUILD_ROOT/%{prefix}/bin/*

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING NEWS README ChangeLog TODO doc/*
%{prefix}/bin/*
%{prefix}/lib/*
/etc/vpbmain.out

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

